Redmine - Feature #29285

Add "Assign to me" shortcut to issue edit form
2018-07-27 00:49 - Marius BALTEANU

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: 4.2.0

Resolution: Fixed

Description

| would like to add an "Assign to me"[1] link next to the "Assignee" field which can be used to set the current user as assignee. There
are a lot of cases when | edit an issue and | want to assign the issue to me. Using this shortcut, we save one click without any side
effect.

assign_to_me.pn

g
' I'm using this feature in GitLab and from there the idea.

Related issues:
Related to Redmine - Feature #2558: Assign all new issues to myself Closed 2009-01-21
Related to Redmine - Feature #12907: Add a button "Assign to me" on issue view. Reopened

Associated revisions

Revision 19539 - 2020-02-29 07:13 - Go MAEDA
Add "Assign to me" shortcut to issue edit form (#29285).

Patch by Marius BALTEANU.

Revision 19540 - 2020-02-29 07:14 - Go MAEDA
Update locales (#29285).

History

#1 - 2018-07-27 00:52 - Marius BALTEANU

- Description updated
#2 - 2018-07-27 04:20 - Mizuki ISHIKAWA
+1

| often assign people to myself.
Many people will be pleased if the work is done with just one click.

#3 - 2018-07-27 05:51 - Bernhard Rohloff

+1

Sounds like a great idea.

#4 - 2018-07-27 12:48 - Marius BALTEANU
- Assignee set to Marius BALTEANU

#5 - 2018-08-01 08:08 - Marius BALTEANU
- File 0001-Add-Assign-to-me-link-to-issue-form.patch added
- Assignee deleted (Marius BALTEANU)

Here is the patch.

#6 - 2018-08-01 08:35 - Go MAEDA
- File gitlab-assign-to-me@2x.png added
FYI: Screenshot of "Assign to me" link in GitLab

Assignee Unassigned

Assign to me

Milestone Milestone

#7 - 2018-08-01 09:02 - Marius BALTEANU

Thanks for posting it. | didn't know that they changed the position of the link in the lastest versions (I'm using 10.4.3), but | still prefer to have it right
after the dropdown.

#8 - 2018-08-03 17:49 - Marius BALTEANU
- File jira.png added

It seems that Jira has also this feature:
jira.png

#9 - 2018-08-04 08:48 - Go MAEDA

- Has duplicate Feature #12907: Add a button "Assign to me" on issue view. added

#10 - 2018-08-04 08:56 - Go MAEDA

- Related to Feature #2558: Assign all new issues to myself added

#11 - 2018-08-04 09:09 - Go MAEDA

- Has duplicate deleted (Feature #12907: Add a button "Assign to me" on issue view.)

#12 - 2018-08-04 09:09 - Go MAEDA

- Related to Feature #12907: Add a button "Assign to me" on issue view. added

#13 - 2018-09-09 02:44 - Go MAEDA

- Target version set to Candidate for next major release

#14 - 2019-09-08 02:04 - Go MAEDA

Redmine has "<< me >>" option in the dropdown. It is enough for me. Do users really need "Assign to me" link as well?

#15 - 2019-09-08 11:22 - Robert Korulczyk
Go MAEDA wrote:

Do users really need "Assign to me" link as well?

| would prefer "Assign to me" as button outside of edit mode. Right now you need 4 clicks to assign issue to yourself. This patch reduces this to 3
click, which is still quite a lot for such simple change. Quite often the only change you want to make is to assign issue to yourself, and having
one-click button for this would be quite useful. It would be even better if you could combine it with status change, for example "Start" button which will
assign issue to user and change issue status to "in progress".

#16 - 2020-02-18 09:50 - Go MAEDA
- File 29285-v2.patch added

| have updated the patch to be applicable to the current trunk r19511.

#17 - 2020-02-18 09:51 - Go MAEDA

- Target version changed from Candidate for next major release to 4.2.0

Setting the target version to 4.2.0.

#18 - 2020-02-29 07:14 - Go MAEDA
https://www.redmine.org/projects/redmine/repository/svn/revisions/19511

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch. Thank you for improving Redmine.

#19 - 2020-07-11 23:15 - Miodrag Milic

| would prefer "Assign to me" as button outside of edit mode.

This seems like much better solution IMO.

#20 - 2020-09-24 23:20 - Michael Michalewicz
- File Screen Shot 2020-09-24 at 22.13.29.png added

Hi all.

Fantastic stuff with the 'Assign to me' button.
| do have one suggestion, please correctly if | am wrong.
Would it be better to have the button next to the 'Edit' button? (see attached screen)

The reason why [ think this would make more sense if, that if you are reading the description of the issue and what to take ownership of it, you would
have to use just one click to do so, in comparison if you need to click edit first then clicking a button next to the active list Assignee is exactly the same
as just choosing yourself from the drop down list.

#21 - 2021-03-28 01:09 - Go MAEDA
- Tracker changed from Patch to Feature

- Resolution set to Fixed

#22 - 2021-03-31 22:33 - Jenda Benda

Michael Michalewicz wrote:
Hi all.

Fantastic stuff with the 'Assign to me' button.
| do have one suggestion, please correctly if | am wrong.
Would it be better to have the button next to the 'Edit' button? (see attached screen)

The reason why | think this would make more sense if, that if you are reading the description of the issue and what to take ownership of it, you
would have to use just one click to do so, in comparison if you need to click edit first then clicking a button next to the active list Assignee is
exactly the same as just choosing yourself from the drop down list.

Thank you a lot for this function...

I would also suggest and prefer to have it at the menu bar as well as mentioned by Michael.

It's quite common to have it there in other systems like JIRA etc. In redmine we have to use "redmine additionals" plugin for this currently-(

| can see two use cases for this - your feature here is probably for easy choosing "active user" from the list of users. Another use-case would be (and
very often is) as Michael mentioned to see the issue and just "take it" and assign to "myself" by one click.

For example by using plugin additionals we can easily change statuses of the issues also by one click having "kind of shortcut" ready in the menu for
possible next and previous statuses of the issue. Any "shortcut" like this very speed-up the work with redmine. | can imagine tons of buttons to
automate recurring and repetitive tasks in redmine that need to be done manually by users and by editing issues or adding time records.

#23 - 2021-04-01 01:33 - Go MAEDA

Please open a new issue for feature requests or bug reports.

This issue has already closed and the feature has been delivered in 4.1.0, so please don't add comments.
